﻿// Экспорт разделов в PDF (Export Sections As PDF)
// v.3 (17-06-2022)

var doc = app.activeDocument;
var myPDFExportPreset = "2540_150_CPL"; // Название PDF-пресета (PDF preset name)
var myPrefix = "Pages_"; // Префикс для добавления к именам файлов (Prefix to your files names)


var path = app.activeDocument.fullName.path;
var mySecFirstPage = [];
var mySecLastPage = [];
for (i = 0; i < app.activeDocument.sections.length; i++) {
    mySecFirstPage[i] = doc.sections[i].pageNumberStart;
    mySecLastPage[i] = mySecFirstPage[i] + doc.sections[i].length - 1;
};
mySecFirstPage.sort(function(a, b) {return a - b});
mySecLastPage.sort(function(a, b) {return a - b});
for (i = 0; i < mySecFirstPage.length; i++) {
    app.pdfExportPreferences.pageRange = mySecFirstPage[i] + "-" + mySecLastPage[i];
    mySecFirstPage[i] = ("000" + mySecFirstPage[i]).slice(-3);
    mySecLastPage[i] = ("000" + mySecLastPage[i]).slice(-3);
    app.activeDocument.exportFile(ExportFormat.PDF_TYPE, File(path + "/" + myPrefix + mySecFirstPage[i] + "-" + mySecLastPage[i] + ".pdf"), false, app.pdfExportPresets.item(myPDFExportPreset));
};